
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Web设计核心问题2:Web设计进程(1) / iVAN</title>

    <meta name="description" content="Web设计核心问题2:Web设计进程(1) web|进程|设计|问题 创建一个好的Web站点极具挑战性,从外观设计到数据库集成,那么多不同的部分都会留下很多犯错误的空间.为了减少Web项目失败的风险,我们需要有一个进程模型来指导开发过程.不幸的是,很多Web设计者采用了一种可能被称为N I K E的开发方法-他们只是做,而很少考虑前景和计划.这种建设网站的过程是不符合方法学的:站点的目标定义得很松散,整个进程依靠的是直觉,没有严格的过程定义而缺乏可预见性.以这种方法开发的站点像植物一样,它们自然地生长,偶尔会变成美丽的花卉,但更多的情况却">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Web设计核心问题2:Web设计进程(1)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>web|进程|设计|问题</p>
<p>　创建一个好的Web站点极具挑战性，从外观设计到数据库集成，那么多不同的部分都会留下很多犯错误的空间。为了减少Web项目失败的风险，我们需要有一个进程模型来指导开发过程。不幸的是，很多Web设计者采用了一种可能被称为N I K E的开发方法—他们只是做，而很少考虑前景和计划。这种建设网站的过程是不符合方法学的；站点的目标定义得很松散，整个进程依靠的是直觉，没有严格的过程定义而缺乏可预见性。以这种方法开发的站点像植物一样，它们自然地生长，偶尔会变成美丽的花卉，但更多的情况却是一团乱草。复杂的Web设计需要认真地计划。应该采用适当的进程模型或方法学来指导Web的设计和开发。<br />2.1 进程需求</p>
<p>　　与2 0世纪6 0年代相似的“软件危机”今天也同样出现在Web开发中。几年前，大多数Web站点只不过是数字化的小册子，或被人称为“小册子软件”。开发那样的站点并不需要大量的计划 —经常是简单开发好界面后，再用内容填充就足够了。今天的站点变得更复杂更庞大。随着电子商务和动态网页的引入。站点已经从“小册子软件”变为完全的软件应用。然而，很多开发者仍然还没有采用一种健壮的开发方法，继续依赖于特定的方法。</p>
<p>　　注意“软件危机”指的是在一段时间内，在软件开发领域，硬件能力的提高容许构建更复杂的程序。然而，开发和维护新的程序极具挑战性。因为过去几乎不采用什么方法学，结果很多项目失败，导致专家宣布“软件危机”发生。结构化的开发方法和“自顶而下”的设计方法的引入可以解决这种危机。</p>
<p>　　Web开发实践的危机广泛存在。不像过去内部的客户机/服务器项目会得到保密，现在很多失败的Web项目都会受到大家的关注。始终处于开发状态或者即将需要开发的网页的数目显示了 Web站点设计的糟糕。不幸的是，黄黑色的仍在建设的标志以及动画的手提钻很少被删除。如果从它们的内容和最后修改日期来判断，一些站点好像几年来一直处于建设之中。一些半死的站点，被陈旧的内容和风格陈旧的网页所充斥，过时的技术、断开的链接体以及运行不当的脚本，这些站点就像在线的鬼城一样。不要把这些错误简单地归结为疏忽和印刷错误。断开的链接体是一种严重的错误，想像一下如果某个软件存在功能缺失的菜单，情况又会怎样。</p>
<p>　　站点出现这些问题的原因多种多样。一些站点逐渐恶化，是因为站点设计者感到厌倦逐渐退出。另外一些站点则是因为站点被废弃或资金被撤离。还有一些站点未能完成，则是因为站点太复杂拖垮了设计者。有时候，开发者未能很好地理解他们使用的工具，或未能充分地理解媒体的限制。项目失败的原因多种多样，很多网站的倒闭则是因为项目太冒风险。</p>
<p>2.2 特别的Web进程</p>
<p>　　通常Web站点的开发方法很简单：实现网站，用浏览器完成外观测试并发布。这与软件小项目开发中的先开发后测试的过程非常相似。并不令人惊讶的是，用非正规的方法开发站点会遇到很多问题。今天的Web开发太快以至于仅分为两个阶段：实现和发布。值得注意的是，很多 Web开发工具鼓励这种在线的设计方法。一些工具鼓励开发者直接从构建用户界面着手，并逐渐用自动化工具增加功能。另外一些则先写代码再添加用户界面。勿须质疑的是，考虑到Web的时间需求，Web开发的速度非常重要。然而发布一个蹩脚而设计拙劣的站点也会成为问题，尤其是当用户对站点中出现的问题感到沮丧时。</p>
<p>　　在软件行业，很多专业人员倾向于认为非正规的方法仅适合于小项目，通常只有一个程序员，并且将来的软件维护工作量非常小。经常用这种缺乏计划的方法开发程序会产生糟糕的编程逻辑—所谓的“意大利细面条式的代码”。这种代码极其难以维护，因为除了初始的设计者外，没人能够解开这个疙瘩。即使是原来的程序员也会随时间忘记这些代码的意义。Web站点存在同样的问题。生存周期很短的小型Web站点，通常由一个人设计时很少采用方法学来进行。观察这些站点的H T M L网页、J a v a S c r i p t和导航结构，会发现“意大利细面条式的代码”也被采用，不过增加了一道被称为“杂乱的H T M L标记色拉”的副食。</p>
<p>　　在Web开发项目中计划能够解决一些问题。不幸的是，对特别的Web进程来说，计划仅仅局限于简短的交流，简单而又不完全的潜在内容的收集，或者一些仓促写就的流程图，花在计划上的时间与花在实现上的时间相比之下微忽其微。当然，也可能计划得太多而患上“分析麻痹症”，这阻碍了网站的建设，但这种情况并不普遍。一定要记住，计划的时间量正比于计划的复杂性，应付项目管理挑战的关键在于创建一个正规的进程，借助它进行计划、测试，并用结构化的方式配置站点。</p>
<p>2.3 基本的Web进程模型</p>
<p>　　为了减轻站点建设的困难，应该采用一种进程模型来描述Web站点开发中涉及到的不同阶段。通过使用指导准则、文档和确定开发步骤以确保每一步顺利完成。理想的Web进程模型能帮助用户解决站点的复杂性，减小项目失败的风险，处理项目中几乎不可避免的改变，在开发过程中快速发布站点并得到及时的反馈信息。当然，理想的进程模型也应该容易学习和操作，这是一个相当苛刻的要求，任何一个单一的模型都不能适应项目的所有特定需求。</p>
<p>　　Web站点开发中使用的最基本的进程模型为大多数人所熟悉，至少在思想上是这样的，因为它是可演绎的。基本模型从大的背景开始逐渐向特定的步骤细化，以便完成整个站点的设计。在软件工程中，这个模型称为瀑布模型，或者有时称为软件生存周期模型。因为它描述了软件生存周期的不同阶段，各个阶段逐步进行直到结束。模型的第一阶段是计划阶段，接着是设计、实现、测试，最后为维护阶段。每个阶段都有独特的步骤，但相连阶段的边界并不明显。进一步说，每一阶段并不总是有一个固定的目标。有时候，前一阶段可能会因为项目中未曾预料的改变而修改。步骤的实际数目和名称因人而异，但瀑布模型的思想如图2 - 1 所示。</p>
<p>　　注意尽管Web的开发模型可能是相同的，但仍有很多Web开发者认为他们创造了新的模型。他们在自己的站点上把它作为没确定归属的专利介绍，而实际上并没有新的东西。</p>
<p>　　无论是五个步骤还是七个步骤，或者名称是复杂还是简单，需要记住，真正重要的是模型能否加速站点的开发或提高最终结果的质量。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzIxMjIzMjgxMDg1OS5naWY=.jpg"></p>
<p>　　单纯的瀑布模型的好处在于它使得用户能够在前端计划一切，这也同时是它的最大弱点。在Web项目里，完成一个项目需要做些什么具有非常大的不确定性，尤其是当Web开发者没有太多的经验时。另一个与这个模型相关的问题是，像软件开发一样， Web开发的每一过程也相互重叠，并且前后相互影响，而且经常不得不重复。不幸的是，瀑布模型过于严格。如果发生过多的改变，可能要求开发者停止项目，并重复原来的过程。简言之，这一过程不能很好地适应变化。然而对于Web站点来说，瀑布模型因为便于理解和实施，仍然继续使用。进一步说，进程模型中每一阶段的分离有利于管理，因为它们便于监理和一步一步地实施。</p>
<p>2.3.1 修正瀑布模型</p>
<p>　　瀑布模型的一个重要方面在于它要求在前端做计划。然而由于在进程中需要有所有的步骤，开发者早期仓促地略过每一步骤，结果事后不得不重复，或者继续建造有缺陷的站点。进程也过于严格，不支持进一步的探索，导致不必要的风险。一种可能的提高方法是在瀑布模型的早期阶段花更多时间，并重复几次，在进入设计与实现阶段后反复挖掘目标和需求。因为进程的周期性，经常发现伴有涡旋的修正瀑布模型更加自然。当你解决带有很高的不确定性的项目时，图2 - 2显示的带有涡旋的修正瀑布模型是个很好的主意。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzIxMjIzMjgxMTUwNy5naWY=.jpg"></p>
<p>2.3.2 联合应用开发模型</p>
<p>　　最后提到的软件开发进程模型对站点开发很有意义，它就是联合应用开发设计，简称 JAD(Joint Application Development)，也称为进化原型法，原型系统通过一系列的演变得到最后的形式。原型不是创建用来测试理论的一个模拟站点，而是为用户创建的。用户直接的反馈信息将用来指导产生新版本的站点，反复如此，直到系统最终定型。JAD 的基本概念如图2 - 3所示。</p>
<p>　　J A D的很多方面非常适合Web开发，尤其是当非常难以确定项目的规范说明书时。与瀑布开发模型相比， J A D模型是渐进的，因此它也显得很快。然而J A D也有着严重的缺陷。首先，让用户看到尚未完成的站点会危害开发者和用户之间的关系。即使让用户参与指导项目，我们也一定要记住用户不是设计者，如第1章所指出的，这种Web设计指导准则会因为用户提出不合理要求而偏离轨道。以J A D运作的Web项目很难作出预算，因为修正的版本数很难预测。如果用户变幻无常，成本会螺旋上升而失控。记住，隐藏在J A D之后的核心概念就是在得到正确的设计之前反复试验。撇下它的缺陷不说， J A D在Web开发中有自己的位置，尤其在软件维护项目之中。然而，最初的J A D项目开发最好让有经验的开发者来完成—尤其是那些能与用户很好沟通的设计者。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzIxMjIzMjgxMjQxNC5naWY=.jpg"></p>
<p>　　其他一些指导Web开发的方法也讨论过。还存在一些能为用户服务的方法。记住，建设站点是先标识好等待解决的问题或达到的目标，并以一致和启发的方法得到结果。站点的开发应该是挑剔的和深思熟虑的，而不是随便的和被动的。一个挑剔的方法并不意味着完全抛弃机遇和灵感，相反，它提供了机会。设计者不应该把站点工程的一些概念当作限制的因素，而应该把它们当作指导准则。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 04:53:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e7%ab%99%e7%82%b9/" title="站点">站点</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9e%8b/" title="模型">模型</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/web%e5%bc%80%e5%8f%91/" title="web开发">web开发</a>, <a href="https://www.iamivan.net/tag/web%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="web前端开发">web前端开发</a>, <a href="https://www.iamivan.net/tag/web%e5%bc%80%e5%8f%91%e5%b7%a5%e5%85%b7/" title="web开发工具">web开发工具</a>, <a href="https://www.iamivan.net/tag/web%e5%bc%80%e5%8f%91%e9%97%ae%e9%a2%98/" title="web开发问题">web开发问题</a>, <a href="https://www.iamivan.net/tag/jfinal%e5%bc%80%e5%8f%91%e9%97%ae%e9%a2%98/" title="jfinal开发问题">jfinal开发问题</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95%e7%9a%84web%e5%bc%80%e5%8f%91%e9%97%ae%e9%a2%98/" title="简单的web开发问题">简单的web开发问题</a>, <a href="https://www.iamivan.net/tag/web%e9%a1%b9%e7%9b%ae%e7%bb%b4%e6%8a%a4/" title="web项目维护">web项目维护</a>, <a href="https://www.iamivan.net/tag/web%e9%a1%b9%e7%9b%ae%e5%bc%80%e5%8f%91/" title="web项目开发">web项目开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Web设计核心问题2:Web设计进程(1)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmEe7p.html" rel="bookmark">Web设计核心问题2&colon;Web设计进程&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|进程|设计|问题  2.4 Web站点项目的途径 理论上,Web站点工程很有道理,但在实践中,它是否奏效呢?答案是完全奏效.然而,由于Web是一个新兴的领域,站点开发很少一致,如显著的时间限制以及项目不断改变的特性.开发者应该小心地继续.为了指导开发,在项目之初,就应该采用某个进程模型.如果站点是崭新的或增加起来非常困难,就应该采用瀑布模型或带有涡旋的修正瀑布模型.如果项目是有关维护的,比较简单并有很多未知的因素,那么联合应用开发方法就比较适合.不考虑项目本身,第一步通常都是相同的:那就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv5a9b.html" rel="bookmark">Web设计核心问题2&colon;Web设计进程&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|进程|设计|问题  2.9 分割的设计阶段 原型设计阶段对大多数Web设计人员来说是最有趣的,因为它开始让项目成型.在这个阶段,应该同时开发外观和技术上的原型系统.无论如何,在建立原型系统之前,应该尽可能收集更多的内容.内容本身会影响站点并帮助指导它的形成.如果内容的基调非常严肃而外观却非常有趣和随意,站点对用户来说会非常奇怪.预先看内容有助于统一技术和内容.同时,也应该考虑到收集内容是站点设计中最慢的一个方面.Web项目的参与者很积极地参与集体会议,但一旦需要他们在内容方面上做工作时,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgynEz.html" rel="bookmark">Web设计核心问题1&colon;什么是Web设计&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题 关于Web的讨论经常偏题,这是由于人们所用词汇的意义变动很大.尽管人们或多或少地有些看法,但没有人能够精确地定义什么是Web设计.一些问题被经常讨论,如可视化设计与编程,但关于它们在Web设计中的重要性则仁者见仁,智者见智.撇开可视化和技术方面不谈,很多人认为Web站点内容的创建和组织是Web设计最重要的方面.随着电子商务的兴起,商业方面的考虑也成为站点成功设计的重要方面. 对于特定的项目,上述所有学科以及其他代表着Web设计主要方面的交叉学科,都可能是需要的.由于许多学科,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEZ96M.html" rel="bookmark">Web设计核心问题1&colon;什么是Web设计&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题  1.8 形式和功能的平衡 Web站点设计的关键问题是形式和功能的平衡.在现代主义的影响下,很多设计者坚持认为事物的形式应符合它的功能.考虑到形式是Web金字塔的基础之一,而功能是另外的基础之一.形式不好的功能是令人厌烦的.站点可能运行得很好,但不能激发用户的灵感.与之相反,如果形式富有表现力,功能有限,用户则会感到失望.形式和功能之间需要一个清晰且连续的关系.简单地说,站点的形式应直接与它的意图相关,如果站点是商业性的,它的外观可能非常绚丽,并且有相当份量的多媒体内容,如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqrjRp.html" rel="bookmark">Web设计核心问题1&colon;什么是Web设计&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题  1.5 Web的图形用户界面传统 很多Web站点提供了在线商场.电子银行.软件下载.游戏以及网上交谈等功能,这些复杂的站点不仅提供了内容,而且也允许用户像使用传统软件一样进行交互或操作.然而, Web站点并不等同于传统软件,尽管它们都用类似的程序方法设计,但Web站点的发布是不同的,必须易于学习,没有安装与卸载的麻烦,必须专注于内容,并更直接地考虑市场.进一步说, Web与传统软件相比,有更复杂的时间效益与软件发布的考虑.考虑诸如s u p e r b o w l . c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bolGjM.html" rel="bookmark">Web设计核心问题3&colon;为用户设计&lpar;7&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题  3.10 Web规则 尽管Web站点并不严格地遵循图形用户界面使用规则,它们却有一些松散的规则.偏离大多数站点的运作方式是个危险的想法.想一想,大多数用户可能因此把大量时间花在其他站点上.除非你在碰巧运营一个重要的每天都被使用的内部站点,或很大的电子商务网站,或者向Ya h o o 这样的门户站点,否则你不可能引入任何自己的新规则.实际上,如果用户希望,位于屏幕左侧的公司标识是指向主页的链接,你最好在站点上这么做.如果不这样,会让你的用户吃惊,而造成负面的效果.促使用户学习			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeLjVp.html" rel="bookmark">面向设计的半封装web组件开发&lpar;概要版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.传统web组件的妄想 目前很多Team和团队都有自己的一套web组件体系,模块化开发,封装良好,上手简单.然后希望该web组件可以应用到接手的各个项目中,节约日后的开发成本.甚至考虑开源. 这其实是很棒的,但是呢,希望一套web组件各个项目通用?在我看来,除非对项目没有追求,否则不太现实. 但是呢,希望一套web组件各个项目通用?在我看来,除非对项目没有追求,否则就是妄想. 为什么说传统web组件想一统天下不现实呢?因为就像秦始皇一统天下一样,要牺牲很多很多东西. 牺牲代码量 web组件要想			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKo5Ap.html" rel="bookmark">ASP&period;NET Web API标准的&OpenCurlyDoubleQuote;管道式&rdquo;设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  ASP.NET Web API的核心框架是一个消息处理管道,这个管道是一组HttpMessageHandler的有序组合.这是一个双工管道,请求消息从一端流入并依次经过所有HttpMessageHandler的处理.在另一端,目标HttpController被激活,Action方法被执行,响应消息随之被生成.响应消息逆向流入此管道,同样会经过逐个HttpMessageHandler的处理.这是一个独立于寄宿环境的抽象管道,如何实现对请求的监听与接收,以及将接收的请求传入消息处理管道进行处理并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baqeVnb.html" rel="bookmark">Web设计师应遵循的高效设计原则之三：对齐</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 摘要:&lt;写给大家看的设计书&gt;一书把复杂的设计原理凝炼为对比.重复.对齐和亲密性四大设计原则.本系列文章将分别详细阐述四个设计原则中的重点因素及辅助工具.本文为第三篇,讲述对齐在网站设计中的重要作用及辅助工具. 主要针对酒店行业和联邦政府进行Web开发的Ryan Boudreaux针对四大设计原则写了一系列文章,本文为第三篇&lt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp541aM.html" rel="bookmark" class="title">ASP技巧TOP 10（四）</a>
					<div>
						技巧 9.如何更新被锁定的DLL如果你正在使用Visual Basic COM组件,一定知道更新组件版本时候所出现的错误信息&quot;不能更新DLL文件,访问禁止&quot;,或许已经有好多次被它挡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlEAnp.html" rel="bookmark" class="title">C＃教程第十课：属性</a>
					<div>
						教程 本节课将介绍C#的属性,其目的包括:1.理解什么是属性 2.如何实现属性 3.创建一个只读属性 4.创建一个只写属性 属性是C#中独具特色的新功能.通过属性来读写类中的域,这具有一定的保护功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGXDEb.html" rel="bookmark" class="title">topas命令详解</a>
					<div>
						1.AIX系统版本 -bash-3.00$ oslevel 5.3.0.0 2.topas命令 Topas Monitor for host:    aix                  EVEN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NjvAz.html" rel="bookmark" class="title">asp&period;net控件设计时支持&lpar;2&rpar;-自动格式设置</a>
					<div>
						自动格式设置 先看个图 相信大家都很熟悉吧,我们可以用这个面板很方面的使用预定的样式.我们可以称之为自动格式设置或者自动套用样式. ControlDesigner类提供了AutoFormats属性,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLY6eb.html" rel="bookmark" class="title">asp&period;net mvc正常支持Fckeditor编辑器</a>
					<div>
						asp.net mvc为什么无法正常使用Fckeditor等控件? 在asp.net中,页面的表现形式与逻辑代码(cs)使用了(codebehind)代码分离技术,表面上他们是各 不相干,实际上它们就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPmlPM.html" rel="bookmark" class="title">迅雷人性化下载体验之三条离线下载通道</a>
					<div>
						迅雷离线下载是迅雷公司于2009年开发的付费离线下载服务.以服务器高速代理下载,中转到离线空间,再以用户从迅雷离线下载服务器下载到本机 的方式提供网络加速服务.是为冷门资源,多资源下载受限,不方便下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKBeVp.html" rel="bookmark" class="title">ruby中的循环语句总结</a>
					<div>
						  这篇文章主要介绍了ruby中的循环语句总结,本文总结了Ruby中常用的一些循环语法,需要的朋友可以参考下 while(当-) 循环 while 条件 语句1; 语句2 ; 语句- end 单行 w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY3RLb.html" rel="bookmark" class="title">如何将pdf转换成jpg？</a>
					<div>
						  现在网上有一种将pdf转换成jpg的方法,那就是对pdf文件进行截图再保存为jpg格式,如果pdf文件非常大,需要保存的图片非常多,那么这个方法就非常麻烦了.小编在这里给大家介绍一款非常简单的pd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP83wlp.html" rel="bookmark" class="title">Oracle无法启动1&mdash;&mdash;ORA-12541&colon;TNS&colon;无监听程序</a>
					<div>
						登录oracle,使用sqlplus可以而使用pl/sql developer不行,报ORA-12541:TNS:无监听程序的错,解决办法如下 1.去Net Managet查看监听器,配置的监听字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA0QYM.html" rel="bookmark" class="title">xml-Android 按钮半径的问题</a>
					<div>
						问题描述 Android 按钮半径的问题 按钮: &lt;Button android:id=&quot;&quot;@+id/button1&quot;&quot; android:layout_w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxA9nb.html" rel="bookmark" class="title">新手求教，关于传递字符串数组的问题</a>
					<div>
						问题描述 新手求教,关于传递字符串数组的问题 以下是我写的c primer plus 第11章习题10的程序,问题是我输入字符串后,用1以外的方式排序,就无法恢复原序列了.也就是每次调用函数都改变了原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWOmWp.html" rel="bookmark" class="title">怎么做网站的搜索引擎优化</a>
					<div>
						对于一个菜鸟站长来说SEO这个东西既熟悉又陌生. 我们中的许多人不明白客户端和服务器端,HTML和CSS,地狱,甚至当我们开始我们的事业编码和编程之间的差异.但是,在这个紧密集成的行业,你必须采取的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW9KVp.html" rel="bookmark" class="title">WPF之自定义&amp;quot&semi;消息框式&amp;quot&semi;的窗体</a>
					<div>
						原文 http://www.cnblogs.com/ListenFly/archive/2013/02/19/2917744.html &lt;Window x:Class=&quot;mumu_no ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmG38M.html" rel="bookmark" class="title">【DataGuard】11g 新特性：Active Data Guard</a>
					<div>
						  在Oracle 11g之前,物理备库(physical Standby)在应用redo的时候,是不可以打开的,只可以mount.从11g开始,在应用redo的时候,物理备库可以处于read-onl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0G2DM.html" rel="bookmark" class="title">小孩儿的游戏管家：Play Safe</a>
					<div>
						随着智能手机的发展,不仅很多大人沉迷于手机应用,越来越多的小孩子也喜欢上了玩儿手机游戏.你的小孩或周围的小孩在你不留意时拿起你的手机就开始玩游戏,如果你不给他们就苦苦嚷嚷直到你把手机给他们玩为止,这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rAngz.html" rel="bookmark" class="title">Thinking in Unity3D：基于物理着色（PBS）的材质系统</a>
					<div>
						笔者在研究和使用Unity3D的过程中,获得了一些Unity3D方面的信息,同时也感叹Unity3D设计之精妙.不得不说,笔者最近几年的引擎研发工作中,早已习惯性的从Unity3D中寻找解决方案. U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYok5p.html" rel="bookmark" class="title">偷窥同事聊天记录致其婚事泡汤</a>
					<div>
						3名&quot;80后&quot;被判赔礼道歉并赔偿1万元 本报讯 (见习记者 陈琼珂) 3个女孩子因好奇偷看同事聊天记录,竟将同事的婚事给搞砸了,自己也因侵犯他人隐私成为被告.近日,市一中院终审判决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myerv4M.html" rel="bookmark" class="title">浅析阿里数据新能源技术架构（上）</a>
					<div>
						如果大家对阿里巴巴的新闻比较关注,最近可能会频繁听到阿里巴巴谈到&quot;五新&quot;这个词,&quot;五新&quot;中的其中一个概念是新能源.其实新能源就是大数据本身.技术.数据和算法三个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgGA9M.html" rel="bookmark" class="title">js简单工厂模式用法实例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js简单工厂模式用法.分享给大家供大家参考.具体实现方法如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x62Rb.html" rel="bookmark" class="title">佳能SX60 HS菜单语言及标配分享</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能SX60 HS的菜单语言以及标配. 分享一览: 佳能SX60 HS菜单语言有英文.简体中文.繁体中文等语言.   标配: 佳能SX60 HS标配有机身.使用说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBLr2M.html" rel="bookmark" class="title">想过个最后在家里的好年啊</a>
					<div>
						问题描述 这学期很是郁闷,为什么不是在学校里做项目,为什么Svelte要分割三次啊,中间一次考试,一次过年,又要做项目,有多事情说不清楚啊,这些都是前言,其实是想各位大哥大姐给我项目的点意见,论坛:有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nmGAz.html" rel="bookmark" class="title">SendKeys方法报错的问题</a>
					<div>
						问题描述 SendKeys.Send(&quot;{Tab}&quot;)结果报了这样的异常,hook无法创建atSystem.Windows.Forms.SendKeys.InstallHook() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ynXz.html" rel="bookmark" class="title">惠普融合系统IT新型态再创辉煌</a>
					<div>
						时至年底,各大公司都要进行年终总结和财务清算,如果对惠普的2014年进行盘点,惠普全球副总裁.中国惠普有限公司企业集团总经理叶健更愿意用八个字来概括,即&quot;增长.创新.合作与落地&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodgWdM.html" rel="bookmark" class="title">关于c&num;编译器的问题</a>
					<div>
						问题描述 编译器提示的警告和错误有什么区别编译器对他们的处理方式又有什么不同呢有人知道不可以解释下吗 解决方案 解决方案二:警告只是提醒吧,错误就不能通过编译了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE40Zz.html" rel="bookmark" class="title">电信资费标准审批被取消 工信部称有利资费下降</a>
					<div>
						近日,国务院印发&lt;国务院关于取消和下放一批行政审批项目的决定&gt;,再次取消和下放64项行政审批事项和18个子项.此外,国务院建议取消和下放6项依据 有关法律设立的行政审批项目,将依照法定程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jkGKp.html" rel="bookmark" class="title">AOL将不会再聘请首席营销官，但将会寻找新的沟通主管人选</a>
					<div>
						作为公司重组的一部分,AOL首席营销官兼沟通主管乔莉·亨特(Jolie Hunt)将离职.亨特在AOL供职了不到五个月的时间,此前她曾在汤森路透领导营销工作.该公司希望分散其营销工作,将更多的消费者和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKL8jM.html" rel="bookmark" class="title">php生成动态验证码gif图片&lowbar;php技巧</a>
					<div>
						这是一个通过php生成的动态验证码图片的示例,重点是可以运行哦!下面先发下效果图: 下面是php生成动态验证码需要用到的相关类和函数. &lt;?php /** *ImageCode 生成包含验证码的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNy1ep.html" rel="bookmark" class="title">mybatis-文本框验证与数据库数据是否重复？？</a>
					<div>
						问题描述 文本框验证与数据库数据是否重复?? 问题::现在用的springmvc+maven+Mybatis,就是在jsp页面中有一个文本框,在添加数据时,验证是否与数据库的是否重复,在control ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnNX9p.html" rel="bookmark" class="title">《纽约时报》员工因薪酬不佳举行抗议活动</a>
					<div>
						约有375名&lt;纽约时报&gt;员工周一聚集在该报纽约总部门口抗议 新浪科技讯 北京时间10月9日上午消息,由于对薪水和工作环境的不满加剧,约有375名&lt;纽约时报&gt;员工周一聚集在该报纽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YV9Wp.html" rel="bookmark" class="title">传统媒体与互联网平台、移动互联网的结合</a>
					<div>
						网易科技讯 7月24日消息,近日&lt;舌尖上的中国&gt;第二季(以下简称&quot;&lt;舌尖2&gt;&quot;)官方与美食社区豆果网举行了&quot;豆果还原舌尖美食盛会&quot;.豆果 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
